This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 955282 - gogoc package should be built with PIE flags
gogoc package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gogoc (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Orti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 13:16 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-03 19:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this should enable PIE (6.59 KB, text/x-rpm-spec)
2013-04-25 06:14 EDT, Dhiru Kholia
no flags Details

  None (edit)
Description Dhiru Kholia 2013-04-22 13:16:54 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently gogoc is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

gogoc-1.2-23.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py gogoc-1.2-23.fc19.x86_64.rpm
gogoc,gogoc-1.2-23.fc19.x86_64.rpm,/usr/bin/gogoc,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
Comment 1 Juan Orti 2013-04-22 16:19:08 EDT
This package is already built with the macro _hardened_build

An example from the build log:
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -O2 -Wall ...

I think "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" does the -fPIE compiling, right?

Can be something wrong in your script? I will give it a look in more detail tomorrow.
Comment 2 Dhiru Kholia 2013-04-25 06:14:26 EDT
Created attachment 739803 [details]
this should enable PIE
Comment 3 Fedora Update System 2013-04-25 07:26:30 EDT
gogoc-1.2-24.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gogoc-1.2-24.fc18
Comment 4 Juan Orti 2013-04-25 14:35:13 EDT
(In reply to comment #2)
> Created attachment 739803 [details]
> this should enable PIE

You are right.
I have submitted an update with the fix, now the security analysis gives this output:

Analyzing gogoc-1.2-24.fc18.x86_64.rpm ...
gogoc,gogoc-1.2-24.fc18.x86_64.rpm,/usr/bin/gogoc,NX=Enabled,CANARY=Enabled,RELRO=Enabled,PIE=Enabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
Comment 5 Fedora Update System 2013-04-25 21:04:54 EDT
Package gogoc-1.2-24.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gogoc-1.2-24.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6656/gogoc-1.2-24.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-03 19:58:38 EDT
gogoc-1.2-24.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-07 06:25:50 EDT
gogoc-1.2-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gogoc-1.2-24.fc19
Comment 8 Fedora Update System 2013-05-12 00:53:09 EDT
gogoc-1.2-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.